Module java.corba
Package org.omg.CORBA.TypeCodePackage

## Class BoundsHelper

- java.lang.Object
- - org.omg.CORBA.TypeCodePackage.BoundsHelper

    public abstract class BoundsHelper
    extends Object

This Helper class is used to facilitate the marshalling of `TypeCodePackage/Bounds`. For more information on Helper files, see "Generated Files: Helper Files".

### Constructor Summary

Constructors
Constructor and Description
`BoundsHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Bounds` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, Bounds that)`
`static Bounds` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, Bounds value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BoundsHelper

    public BoundsHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              Bounds that)

#### extract

    public static Bounds extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static Bounds read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             Bounds value)